// HttpParserException.java
// $Id: HttpParserException.java,v 1.4 1999/04/12 09:59:30 ylafon Exp $$
// (c) COPYRIGHT MIT and INRIA, 1996.
// Please first read the full copyright statement in file COPYRIGHT.html


package org.w3c.www.http;

import org.w3c.www.mime.*;

public class HttpParserException extends MimeParserException {
    
    HttpRequestMessage req = null;
    
    public boolean hasRequest() {
	return (req != null);
    }

    public HttpRequestMessage getRequest() {
	return req;
    }

    public HttpParserException(String msg) {
	super(msg);
    }

    public HttpParserException(String msg, HttpRequestMessage req) {
	super(msg);
	this.req = req;
    }
}
